com.unitech.stuhfl

## Class STUHFL_T_Gen2_Read

- java.lang.Object
- - com.unitech.stuhflBridge.BR_Gen2_Read
  - - com.unitech.stuhfl.STUHFL_T_Gen2_Read

-     public class STUHFL_T_Gen2_Read
      extends BR_Gen2_Read

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_Gen2_Read

      `BR_Gen2_Read.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `data` < I Param: Password.
    `STUHFL_E.GEN2_MEMORY_BANK` | `memoryBank` < I Param: Word address to which read data.
    `short` | `numBytesToRead` < I Param: Bank (File, EPC, TID, USER) to which read data.
    `byte[]` | `pwd` < I Param: Number of bytes to read.
    `long` | `wordPtr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_Gen2_Read()`
    `STUHFL_T_Gen2_Read(long wordPtr, STUHFL_E.GEN2_MEMORY_BANK memoryBank, short numBytesToRead, byte[] pwd, byte[] data)`
    `STUHFL_T_Gen2_Read(STUHFL_T_Gen2_Read other)` < O Param: Read data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `execute()` Perform Gen2 Read command to read from the Gen2 transponders
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_Gen2_Read

      `_Exec`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### wordPtr

          public long wordPtr

    - #### memoryBank

          public STUHFL_E.GEN2_MEMORY_BANK memoryBank

      < I Param: Word address to which read data.

    - #### numBytesToRead

          public short numBytesToRead

      < I Param: Bank (File, EPC, TID, USER) to which read data.

    - #### pwd

          public byte[] pwd

      < I Param: Number of bytes to read. Updated with number of effectively read bytes.

    - #### data

          public byte[] data

      < I Param: Password.

  - ### Constructor Detail

    - #### STUHFL_T_Gen2_Read

          public STUHFL_T_Gen2_Read(STUHFL_T_Gen2_Read other)

      < O Param: Read data.

    - #### STUHFL_T_Gen2_Read

          public STUHFL_T_Gen2_Read(long wordPtr,
                                    STUHFL_E.GEN2_MEMORY_BANK memoryBank,
                                    short numBytesToRead,
                                    byte[] pwd,
                                    byte[] data)

    - #### STUHFL_T_Gen2_Read

          public STUHFL_T_Gen2_Read()

  - ### Method Detail

    - #### execute

          public STUHFL_E.RET_CODE execute()

      Perform Gen2 Read command to read from the Gen2 transponders
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`